
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

import java.util.HashMap;
import java.util.List;

@SuppressWarnings("unused")
public class AppleApplicationInfo {

    @SerializedName("AVInitialRouteSharingPolicy")
    private String aVInitialRouteSharingPolicy;
    @SerializedName("ApplicationDSID")
    private Long applicationDSID;
    @SerializedName("ApplicationType")
    private String applicationType;
    @SerializedName("BuildMachineOSBuild")
    private String buildMachineOSBuild;
    @SerializedName("CFBundleDevelopmentRegion")
    private String cFBundleDevelopmentRegion;
    @SerializedName("CFBundleDisplayName")
    private String cFBundleDisplayName;
    @SerializedName("CFBundleDocumentTypes")
    private List<CFBundleDocumentType> cFBundleDocumentTypes;
    @SerializedName("CFBundleExecutable")
    private String cFBundleExecutable;
    @SerializedName("CFBundleIcons")
    private CFBundleIcons cFBundleIcons;
    @SerializedName("CFBundleIdentifier")
    private String cFBundleIdentifier;
    @SerializedName("CFBundleInfoDictionaryVersion")
    private String cFBundleInfoDictionaryVersion;
    @SerializedName("CFBundleName")
    private String cFBundleName;
    @SerializedName("CFBundleNumericVersion")
    private Long cFBundleNumericVersion;
    @SerializedName("CFBundlePackageType")
    private String cFBundlePackageType;
    @SerializedName("CFBundleShortVersionString")
    private String cFBundleShortVersionString;
    @SerializedName("CFBundleSignature")
    private String cFBundleSignature;
    @SerializedName("CFBundleSupportedPlatforms")
    private List<String> cFBundleSupportedPlatforms;
    @SerializedName("CFBundleURLTypes")
    private List<CFBundleURLType> cFBundleURLTypes;
    @SerializedName("CFBundleVersion")
    private String cFBundleVersion;
    @SerializedName("Container")
    private String container;
    @SerializedName("DTAppStoreToolsBuild")
    private String dTAppStoreToolsBuild;
    @SerializedName("DTCompiler")
    private String dTCompiler;
    @SerializedName("DTPlatformBuild")
    private String dTPlatformBuild;
    @SerializedName("DTPlatformName")
    private String dTPlatformName;
    @SerializedName("DTPlatformVersion")
    private String dTPlatformVersion;
    @SerializedName("DTSDKBuild")
    private String dTSDKBuild;
    @SerializedName("DTSDKName")
    private String dTSDKName;
    @SerializedName("DTXcode")
    private String dTXcode;
    @SerializedName("DTXcodeBuild")
    private String dTXcodeBuild;
    @SerializedName("DynamicDiskUsage")
    private Long dynamicDiskUsage;
    @SerializedName("Entitlements")
    private Entitlements entitlements;
    @SerializedName("EnvironmentVariables")
    private EnvironmentVariables environmentVariables;
    @SerializedName("GroupContainers")
    private HashMap<String, String> groupContainers;
    @SerializedName("INAlternativeAppNames")
    private List<INAlternativeAppName> iNAlternativeAppNames;
    @SerializedName("IsAppClip")
    private Boolean isAppClip;
    @SerializedName("IsDemotedApp")
    private Boolean isDemotedApp;
    @SerializedName("IsHostBackupEligible")
    private Boolean isHostBackupEligible;
    @SerializedName("IsUpgradeable")
    private Boolean isUpgradeable;
    @SerializedName("LSApplicationQueriesSchemes")
    private List<String> lSApplicationQueriesSchemes;
    @SerializedName("LSHasLocalizedDisplayName")
    private Boolean lSHasLocalizedDisplayName;
    @SerializedName("LSRequiresIPhoneOS")
    private Boolean lSRequiresIPhoneOS;
    @SerializedName("LSSupportsOpeningDocumentsInPlace")
    private Boolean lSSupportsOpeningDocumentsInPlace;
    @SerializedName("MinimumOSVersion")
    private String minimumOSVersion;
    @SerializedName("NSAppTransportSecurity")
    private NSAppTransportSecurity nSAppTransportSecurity;
    @SerializedName("NSAppleMusicUsageDescription")
    private String nSAppleMusicUsageDescription;
    @SerializedName("NSBluetoothAlwaysUsageDescription")
    private String nSBluetoothAlwaysUsageDescription;
    @SerializedName("NSBluetoothPeripheralUsageDescription")
    private String nSBluetoothPeripheralUsageDescription;
    @SerializedName("NSBonjourServices")
    private List<String> nSBonjourServices;
    @SerializedName("NSCalendarsUsageDescription")
    private String nSCalendarsUsageDescription;
    @SerializedName("NSCameraUsageDescription")
    private String nSCameraUsageDescription;
    @SerializedName("NSFaceIDUsageDescription")
    private String nSFaceIDUsageDescription;
    @SerializedName("NSLocalNetworkUsageDescription")
    private String nSLocalNetworkUsageDescription;
    @SerializedName("NSLocationDefaultAccuracyReduced")
    private Boolean nSLocationDefaultAccuracyReduced;
    @SerializedName("NSLocationWhenInUseUsageDescription")
    private String nSLocationWhenInUseUsageDescription;
    @SerializedName("NSMicrophoneUsageDescription")
    private String nSMicrophoneUsageDescription;
    @SerializedName("NSMotionUsageDescription")
    private String nSMotionUsageDescription;
    @SerializedName("NSPhotoLibraryAddUsageDescription")
    private String nSPhotoLibraryAddUsageDescription;
    @SerializedName("NSPhotoLibraryUsageDescription")
    private String nSPhotoLibraryUsageDescription;
    @SerializedName("NSSiriUsageDescription")
    private String nSSiriUsageDescription;
    @SerializedName("NSUserActivityTypes")
    private List<String> nSUserActivityTypes;
    @SerializedName("NSUserTrackingUsageDescription")
    private String nSUserTrackingUsageDescription;
    @SerializedName("PHPhotoLibraryPreventAutomaticLimitedAccessAlert")
    private Boolean pHPhotoLibraryPreventAutomaticLimitedAccessAlert;
    @SerializedName("PackageInitTimestamp")
    private Long packageInitTimestamp;
    @SerializedName("ParallelPlaceholderPath")
    private Boolean parallelPlaceholderPath;
    @SerializedName("Path")
    private String path;
    @SerializedName("SequenceNumber")
    private Long sequenceNumber;
    @SerializedName("SignerIdentity")
    private String signerIdentity;
    @SerializedName("StaticDiskUsage")
    private Long staticDiskUsage;
    @SerializedName("UIAppFonts")
    private List<String> uIAppFonts;
    @SerializedName("UIApplicationShortcutItems")
    private List<UIApplicationShortcutItem> uIApplicationShortcutItems;
    @SerializedName("UIBackgroundModes")
    private List<String> uIBackgroundModes;
    @SerializedName("UIDeviceFamily")
    private List<Long> uIDeviceFamily;
    @SerializedName("UILaunchStoryboardName")
    private String uILaunchStoryboardName;
    @SerializedName("UIRequiredDeviceCapabilities")
    private List<String> uIRequiredDeviceCapabilities;
    @SerializedName("UIRequiresFullScreen")
    private Boolean uIRequiresFullScreen;
    @SerializedName("UISearchFonts")
    private List<String> uISearchFonts;
    @SerializedName("UIStatusBarHidden")
    private Boolean uIStatusBarHidden;
    @SerializedName("UISupportedInterfaceOrientations")
    private List<String> uISupportedInterfaceOrientations;
    @SerializedName("UTExportedTypeDeclarations")
    private List<UTExportedTypeDeclaration> uTExportedTypeDeclarations;

    public String getAVInitialRouteSharingPolicy() {
        return aVInitialRouteSharingPolicy;
    }

    public void setAVInitialRouteSharingPolicy(String aVInitialRouteSharingPolicy) {
        this.aVInitialRouteSharingPolicy = aVInitialRouteSharingPolicy;
    }

    public Long getApplicationDSID() {
        return applicationDSID;
    }

    public void setApplicationDSID(Long applicationDSID) {
        this.applicationDSID = applicationDSID;
    }

    public String getApplicationType() {
        return applicationType;
    }

    public void setApplicationType(String applicationType) {
        this.applicationType = applicationType;
    }

    public String getBuildMachineOSBuild() {
        return buildMachineOSBuild;
    }

    public void setBuildMachineOSBuild(String buildMachineOSBuild) {
        this.buildMachineOSBuild = buildMachineOSBuild;
    }

    public String getCFBundleDevelopmentRegion() {
        return cFBundleDevelopmentRegion;
    }

    public void setCFBundleDevelopmentRegion(String cFBundleDevelopmentRegion) {
        this.cFBundleDevelopmentRegion = cFBundleDevelopmentRegion;
    }

    public String getCFBundleDisplayName() {
        return cFBundleDisplayName;
    }

    public void setCFBundleDisplayName(String cFBundleDisplayName) {
        this.cFBundleDisplayName = cFBundleDisplayName;
    }

    public List<CFBundleDocumentType> getCFBundleDocumentTypes() {
        return cFBundleDocumentTypes;
    }

    public void setCFBundleDocumentTypes(List<CFBundleDocumentType> cFBundleDocumentTypes) {
        this.cFBundleDocumentTypes = cFBundleDocumentTypes;
    }

    public String getCFBundleExecutable() {
        return cFBundleExecutable;
    }

    public void setCFBundleExecutable(String cFBundleExecutable) {
        this.cFBundleExecutable = cFBundleExecutable;
    }

    public CFBundleIcons getCFBundleIcons() {
        return cFBundleIcons;
    }

    public void setCFBundleIcons(CFBundleIcons cFBundleIcons) {
        this.cFBundleIcons = cFBundleIcons;
    }

    public String getCFBundleIdentifier() {
        return cFBundleIdentifier;
    }

    public void setCFBundleIdentifier(String cFBundleIdentifier) {
        this.cFBundleIdentifier = cFBundleIdentifier;
    }

    public String getCFBundleInfoDictionaryVersion() {
        return cFBundleInfoDictionaryVersion;
    }

    public void setCFBundleInfoDictionaryVersion(String cFBundleInfoDictionaryVersion) {
        this.cFBundleInfoDictionaryVersion = cFBundleInfoDictionaryVersion;
    }

    public String getCFBundleName() {
        return cFBundleName;
    }

    public void setCFBundleName(String cFBundleName) {
        this.cFBundleName = cFBundleName;
    }

    public Long getCFBundleNumericVersion() {
        return cFBundleNumericVersion;
    }

    public void setCFBundleNumericVersion(Long cFBundleNumericVersion) {
        this.cFBundleNumericVersion = cFBundleNumericVersion;
    }

    public String getCFBundlePackageType() {
        return cFBundlePackageType;
    }

    public void setCFBundlePackageType(String cFBundlePackageType) {
        this.cFBundlePackageType = cFBundlePackageType;
    }

    public String getCFBundleShortVersionString() {
        return cFBundleShortVersionString;
    }

    public void setCFBundleShortVersionString(String cFBundleShortVersionString) {
        this.cFBundleShortVersionString = cFBundleShortVersionString;
    }

    public String getCFBundleSignature() {
        return cFBundleSignature;
    }

    public void setCFBundleSignature(String cFBundleSignature) {
        this.cFBundleSignature = cFBundleSignature;
    }

    public List<String> getCFBundleSupportedPlatforms() {
        return cFBundleSupportedPlatforms;
    }

    public void setCFBundleSupportedPlatforms(List<String> cFBundleSupportedPlatforms) {
        this.cFBundleSupportedPlatforms = cFBundleSupportedPlatforms;
    }

    public List<CFBundleURLType> getCFBundleURLTypes() {
        return cFBundleURLTypes;
    }

    public void setCFBundleURLTypes(List<CFBundleURLType> cFBundleURLTypes) {
        this.cFBundleURLTypes = cFBundleURLTypes;
    }

    public String getCFBundleVersion() {
        return cFBundleVersion;
    }

    public void setCFBundleVersion(String cFBundleVersion) {
        this.cFBundleVersion = cFBundleVersion;
    }

    public String getContainer() {
        return container;
    }

    public void setContainer(String container) {
        this.container = container;
    }

    public String getDTAppStoreToolsBuild() {
        return dTAppStoreToolsBuild;
    }

    public void setDTAppStoreToolsBuild(String dTAppStoreToolsBuild) {
        this.dTAppStoreToolsBuild = dTAppStoreToolsBuild;
    }

    public String getDTCompiler() {
        return dTCompiler;
    }

    public void setDTCompiler(String dTCompiler) {
        this.dTCompiler = dTCompiler;
    }

    public String getDTPlatformBuild() {
        return dTPlatformBuild;
    }

    public void setDTPlatformBuild(String dTPlatformBuild) {
        this.dTPlatformBuild = dTPlatformBuild;
    }

    public String getDTPlatformName() {
        return dTPlatformName;
    }

    public void setDTPlatformName(String dTPlatformName) {
        this.dTPlatformName = dTPlatformName;
    }

    public String getDTPlatformVersion() {
        return dTPlatformVersion;
    }

    public void setDTPlatformVersion(String dTPlatformVersion) {
        this.dTPlatformVersion = dTPlatformVersion;
    }

    public String getDTSDKBuild() {
        return dTSDKBuild;
    }

    public void setDTSDKBuild(String dTSDKBuild) {
        this.dTSDKBuild = dTSDKBuild;
    }

    public String getDTSDKName() {
        return dTSDKName;
    }

    public void setDTSDKName(String dTSDKName) {
        this.dTSDKName = dTSDKName;
    }

    public String getDTXcode() {
        return dTXcode;
    }

    public void setDTXcode(String dTXcode) {
        this.dTXcode = dTXcode;
    }

    public String getDTXcodeBuild() {
        return dTXcodeBuild;
    }

    public void setDTXcodeBuild(String dTXcodeBuild) {
        this.dTXcodeBuild = dTXcodeBuild;
    }

    public Long getDynamicDiskUsage() {
        return dynamicDiskUsage;
    }

    public void setDynamicDiskUsage(Long dynamicDiskUsage) {
        this.dynamicDiskUsage = dynamicDiskUsage;
    }

    public Entitlements getEntitlements() {
        return entitlements;
    }

    public void setEntitlements(Entitlements entitlements) {
        this.entitlements = entitlements;
    }

    public EnvironmentVariables getEnvironmentVariables() {
        return environmentVariables;
    }

    public void setEnvironmentVariables(EnvironmentVariables environmentVariables) {
        this.environmentVariables = environmentVariables;
    }

    public HashMap<String, String> getGroupContainers() {
        return groupContainers;
    }

    public void setGroupContainers(HashMap<String, String> groupContainers) {
        this.groupContainers = groupContainers;
    }

    public List<INAlternativeAppName> getINAlternativeAppNames() {
        return iNAlternativeAppNames;
    }

    public void setINAlternativeAppNames(List<INAlternativeAppName> iNAlternativeAppNames) {
        this.iNAlternativeAppNames = iNAlternativeAppNames;
    }

    public Boolean getIsAppClip() {
        return isAppClip;
    }

    public void setIsAppClip(Boolean isAppClip) {
        this.isAppClip = isAppClip;
    }

    public Boolean getIsDemotedApp() {
        return isDemotedApp;
    }

    public void setIsDemotedApp(Boolean isDemotedApp) {
        this.isDemotedApp = isDemotedApp;
    }

    public Boolean getIsHostBackupEligible() {
        return isHostBackupEligible;
    }

    public void setIsHostBackupEligible(Boolean isHostBackupEligible) {
        this.isHostBackupEligible = isHostBackupEligible;
    }

    public Boolean getIsUpgradeable() {
        return isUpgradeable;
    }

    public void setIsUpgradeable(Boolean isUpgradeable) {
        this.isUpgradeable = isUpgradeable;
    }

    public List<String> getLSApplicationQueriesSchemes() {
        return lSApplicationQueriesSchemes;
    }

    public void setLSApplicationQueriesSchemes(List<String> lSApplicationQueriesSchemes) {
        this.lSApplicationQueriesSchemes = lSApplicationQueriesSchemes;
    }

    public Boolean getLSHasLocalizedDisplayName() {
        return lSHasLocalizedDisplayName;
    }

    public void setLSHasLocalizedDisplayName(Boolean lSHasLocalizedDisplayName) {
        this.lSHasLocalizedDisplayName = lSHasLocalizedDisplayName;
    }

    public Boolean getLSRequiresIPhoneOS() {
        return lSRequiresIPhoneOS;
    }

    public void setLSRequiresIPhoneOS(Boolean lSRequiresIPhoneOS) {
        this.lSRequiresIPhoneOS = lSRequiresIPhoneOS;
    }

    public Boolean getLSSupportsOpeningDocumentsInPlace() {
        return lSSupportsOpeningDocumentsInPlace;
    }

    public void setLSSupportsOpeningDocumentsInPlace(Boolean lSSupportsOpeningDocumentsInPlace) {
        this.lSSupportsOpeningDocumentsInPlace = lSSupportsOpeningDocumentsInPlace;
    }

    public String getMinimumOSVersion() {
        return minimumOSVersion;
    }

    public void setMinimumOSVersion(String minimumOSVersion) {
        this.minimumOSVersion = minimumOSVersion;
    }

    public NSAppTransportSecurity getNSAppTransportSecurity() {
        return nSAppTransportSecurity;
    }

    public void setNSAppTransportSecurity(NSAppTransportSecurity nSAppTransportSecurity) {
        this.nSAppTransportSecurity = nSAppTransportSecurity;
    }

    public String getNSAppleMusicUsageDescription() {
        return nSAppleMusicUsageDescription;
    }

    public void setNSAppleMusicUsageDescription(String nSAppleMusicUsageDescription) {
        this.nSAppleMusicUsageDescription = nSAppleMusicUsageDescription;
    }

    public String getNSBluetoothAlwaysUsageDescription() {
        return nSBluetoothAlwaysUsageDescription;
    }

    public void setNSBluetoothAlwaysUsageDescription(String nSBluetoothAlwaysUsageDescription) {
        this.nSBluetoothAlwaysUsageDescription = nSBluetoothAlwaysUsageDescription;
    }

    public String getNSBluetoothPeripheralUsageDescription() {
        return nSBluetoothPeripheralUsageDescription;
    }

    public void setNSBluetoothPeripheralUsageDescription(String nSBluetoothPeripheralUsageDescription) {
        this.nSBluetoothPeripheralUsageDescription = nSBluetoothPeripheralUsageDescription;
    }

    public List<String> getNSBonjourServices() {
        return nSBonjourServices;
    }

    public void setNSBonjourServices(List<String> nSBonjourServices) {
        this.nSBonjourServices = nSBonjourServices;
    }

    public String getNSCalendarsUsageDescription() {
        return nSCalendarsUsageDescription;
    }

    public void setNSCalendarsUsageDescription(String nSCalendarsUsageDescription) {
        this.nSCalendarsUsageDescription = nSCalendarsUsageDescription;
    }

    public String getNSCameraUsageDescription() {
        return nSCameraUsageDescription;
    }

    public void setNSCameraUsageDescription(String nSCameraUsageDescription) {
        this.nSCameraUsageDescription = nSCameraUsageDescription;
    }

    public String getNSFaceIDUsageDescription() {
        return nSFaceIDUsageDescription;
    }

    public void setNSFaceIDUsageDescription(String nSFaceIDUsageDescription) {
        this.nSFaceIDUsageDescription = nSFaceIDUsageDescription;
    }

    public String getNSLocalNetworkUsageDescription() {
        return nSLocalNetworkUsageDescription;
    }

    public void setNSLocalNetworkUsageDescription(String nSLocalNetworkUsageDescription) {
        this.nSLocalNetworkUsageDescription = nSLocalNetworkUsageDescription;
    }

    public Boolean getNSLocationDefaultAccuracyReduced() {
        return nSLocationDefaultAccuracyReduced;
    }

    public void setNSLocationDefaultAccuracyReduced(Boolean nSLocationDefaultAccuracyReduced) {
        this.nSLocationDefaultAccuracyReduced = nSLocationDefaultAccuracyReduced;
    }

    public String getNSLocationWhenInUseUsageDescription() {
        return nSLocationWhenInUseUsageDescription;
    }

    public void setNSLocationWhenInUseUsageDescription(String nSLocationWhenInUseUsageDescription) {
        this.nSLocationWhenInUseUsageDescription = nSLocationWhenInUseUsageDescription;
    }

    public String getNSMicrophoneUsageDescription() {
        return nSMicrophoneUsageDescription;
    }

    public void setNSMicrophoneUsageDescription(String nSMicrophoneUsageDescription) {
        this.nSMicrophoneUsageDescription = nSMicrophoneUsageDescription;
    }

    public String getNSMotionUsageDescription() {
        return nSMotionUsageDescription;
    }

    public void setNSMotionUsageDescription(String nSMotionUsageDescription) {
        this.nSMotionUsageDescription = nSMotionUsageDescription;
    }

    public String getNSPhotoLibraryAddUsageDescription() {
        return nSPhotoLibraryAddUsageDescription;
    }

    public void setNSPhotoLibraryAddUsageDescription(String nSPhotoLibraryAddUsageDescription) {
        this.nSPhotoLibraryAddUsageDescription = nSPhotoLibraryAddUsageDescription;
    }

    public String getNSPhotoLibraryUsageDescription() {
        return nSPhotoLibraryUsageDescription;
    }

    public void setNSPhotoLibraryUsageDescription(String nSPhotoLibraryUsageDescription) {
        this.nSPhotoLibraryUsageDescription = nSPhotoLibraryUsageDescription;
    }

    public String getNSSiriUsageDescription() {
        return nSSiriUsageDescription;
    }

    public void setNSSiriUsageDescription(String nSSiriUsageDescription) {
        this.nSSiriUsageDescription = nSSiriUsageDescription;
    }

    public List<String> getNSUserActivityTypes() {
        return nSUserActivityTypes;
    }

    public void setNSUserActivityTypes(List<String> nSUserActivityTypes) {
        this.nSUserActivityTypes = nSUserActivityTypes;
    }

    public String getNSUserTrackingUsageDescription() {
        return nSUserTrackingUsageDescription;
    }

    public void setNSUserTrackingUsageDescription(String nSUserTrackingUsageDescription) {
        this.nSUserTrackingUsageDescription = nSUserTrackingUsageDescription;
    }

    public Boolean getPHPhotoLibraryPreventAutomaticLimitedAccessAlert() {
        return pHPhotoLibraryPreventAutomaticLimitedAccessAlert;
    }

    public void setPHPhotoLibraryPreventAutomaticLimitedAccessAlert(Boolean pHPhotoLibraryPreventAutomaticLimitedAccessAlert) {
        this.pHPhotoLibraryPreventAutomaticLimitedAccessAlert = pHPhotoLibraryPreventAutomaticLimitedAccessAlert;
    }

    public Long getPackageInitTimestamp() {
        return packageInitTimestamp;
    }

    public void setPackageInitTimestamp(Long packageInitTimestamp) {
        this.packageInitTimestamp = packageInitTimestamp;
    }

    public Boolean getParallelPlaceholderPath() {
        return parallelPlaceholderPath;
    }

    public void setParallelPlaceholderPath(Boolean parallelPlaceholderPath) {
        this.parallelPlaceholderPath = parallelPlaceholderPath;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Long getSequenceNumber() {
        return sequenceNumber;
    }

    public void setSequenceNumber(Long sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
    }

    public String getSignerIdentity() {
        return signerIdentity;
    }

    public void setSignerIdentity(String signerIdentity) {
        this.signerIdentity = signerIdentity;
    }

    public Long getStaticDiskUsage() {
        return staticDiskUsage;
    }

    public void setStaticDiskUsage(Long staticDiskUsage) {
        this.staticDiskUsage = staticDiskUsage;
    }

    public List<String> getUIAppFonts() {
        return uIAppFonts;
    }

    public void setUIAppFonts(List<String> uIAppFonts) {
        this.uIAppFonts = uIAppFonts;
    }

    public List<UIApplicationShortcutItem> getUIApplicationShortcutItems() {
        return uIApplicationShortcutItems;
    }

    public void setUIApplicationShortcutItems(List<UIApplicationShortcutItem> uIApplicationShortcutItems) {
        this.uIApplicationShortcutItems = uIApplicationShortcutItems;
    }

    public List<String> getUIBackgroundModes() {
        return uIBackgroundModes;
    }

    public void setUIBackgroundModes(List<String> uIBackgroundModes) {
        this.uIBackgroundModes = uIBackgroundModes;
    }

    public List<Long> getUIDeviceFamily() {
        return uIDeviceFamily;
    }

    public void setUIDeviceFamily(List<Long> uIDeviceFamily) {
        this.uIDeviceFamily = uIDeviceFamily;
    }

    public String getUILaunchStoryboardName() {
        return uILaunchStoryboardName;
    }

    public void setUILaunchStoryboardName(String uILaunchStoryboardName) {
        this.uILaunchStoryboardName = uILaunchStoryboardName;
    }

    public List<String> getUIRequiredDeviceCapabilities() {
        return uIRequiredDeviceCapabilities;
    }

    public void setUIRequiredDeviceCapabilities(List<String> uIRequiredDeviceCapabilities) {
        this.uIRequiredDeviceCapabilities = uIRequiredDeviceCapabilities;
    }

    public Boolean getUIRequiresFullScreen() {
        return uIRequiresFullScreen;
    }

    public void setUIRequiresFullScreen(Boolean uIRequiresFullScreen) {
        this.uIRequiresFullScreen = uIRequiresFullScreen;
    }

    public List<String> getUISearchFonts() {
        return uISearchFonts;
    }

    public void setUISearchFonts(List<String> uISearchFonts) {
        this.uISearchFonts = uISearchFonts;
    }

    public Boolean getUIStatusBarHidden() {
        return uIStatusBarHidden;
    }

    public void setUIStatusBarHidden(Boolean uIStatusBarHidden) {
        this.uIStatusBarHidden = uIStatusBarHidden;
    }

    public List<String> getUISupportedInterfaceOrientations() {
        return uISupportedInterfaceOrientations;
    }

    public void setUISupportedInterfaceOrientations(List<String> uISupportedInterfaceOrientations) {
        this.uISupportedInterfaceOrientations = uISupportedInterfaceOrientations;
    }

    public List<UTExportedTypeDeclaration> getUTExportedTypeDeclarations() {
        return uTExportedTypeDeclarations;
    }

    public void setUTExportedTypeDeclarations(List<UTExportedTypeDeclaration> uTExportedTypeDeclarations) {
        this.uTExportedTypeDeclarations = uTExportedTypeDeclarations;
    }

}
